<!DOCTYPE html>
<html class="writer-html5" lang="fr" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Documentation sur les calculs matriciels &mdash; Documentation Calculs matriciels 1.0</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=7a28dfa3"></script>
        <script src="_static/doctools.js?v=888ff710"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/translations.js?v=d99ca74e"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="#" class="icon icon-home">
            Calculs matriciels
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Rechercher docs" aria-label="Rechercher docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <!-- Local TOC -->
              <div class="local-toc"><ul>
<li><a class="reference internal" href="#">Documentation sur les calculs matriciels</a></li>
<li><a class="reference internal" href="#print-matrice">print_matrice()</a></li>
<li><a class="reference internal" href="#matrice">matrice()</a></li>
<li><a class="reference internal" href="#change-valeur">change_valeur()</a></li>
<li><a class="reference internal" href="#matrice-identite">matrice_identite()</a></li>
<li><a class="reference internal" href="#dimension-check">dimension_check()</a></li>
<li><a class="reference internal" href="#somme-matrice">somme_matrice()</a></li>
<li><a class="reference internal" href="#is-element">is_element()</a></li>
<li><a class="reference internal" href="#produit-scalaire">produit_scalaire()</a></li>
<li><a class="reference internal" href="#produit-matriciel">produit_matriciel()</a></li>
</ul>
</div>
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">Calculs matriciels</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="#" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Documentation sur les calculs matriciels</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/index.rst.txt" rel="nofollow"> Afficher la source de la page</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="documentation-sur-les-calculs-matriciels">
<h1>Documentation sur les calculs matriciels<a class="headerlink" href="#documentation-sur-les-calculs-matriciels" title="Link to this heading"></a></h1>
<div class="toctree-wrapper compound">
</div>
<ul class="simple">
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Page de recherche</span></a></p></li>
</ul>
</section>
<section id="print-matrice">
<h1>print_matrice()<a class="headerlink" href="#print-matrice" title="Link to this heading"></a></h1>
<p>Fonction qui prends la matrice a afficher en option.
<em>Exemple:</em> <strong>print_matrice(matrice)</strong></p>
</section>
<section id="matrice">
<h1>matrice()<a class="headerlink" href="#matrice" title="Link to this heading"></a></h1>
<p>Fonction qui génère une matrice et qui prends le nombre de ligne et le nombre de colonnes en options
<em>Exemple:</em> <strong>matrice(3, 3)</strong> génèrera une matrice sur 3 colonnes et 3 lignes</p>
</section>
<section id="change-valeur">
<h1>change_valeur()<a class="headerlink" href="#change-valeur" title="Link to this heading"></a></h1>
<p>Fonction qui génère une matrice et qui prends le nombre de ligne et le nombre de colonnes en options
<em>Exemple:</em> <strong>change_valeur(matrice, 1, 1, 4)</strong> remplacera dans la matrice « matrice » le chiffre de la colonne 1, ligne une par le chiffre 4</p>
</section>
<section id="matrice-identite">
<h1>matrice_identite()<a class="headerlink" href="#matrice-identite" title="Link to this heading"></a></h1>
<p>Fonction qui génère une matrice identité et qui prends le nombre de ligne et de colonnes en options
<em>Exemple:</em> <strong>matrice(3)</strong> génèrera une matrice identité sur 3 colonnes et 3 lignes</p>
</section>
<section id="dimension-check">
<h1>dimension_check()<a class="headerlink" href="#dimension-check" title="Link to this heading"></a></h1>
<p>Fonction qui compare 2 matrices et qui renvoie soit True soit False
<em>Exemple:</em> <strong>dimension_check(matrice1, matrice2)</strong></p>
</section>
<section id="somme-matrice">
<h1>somme_matrice()<a class="headerlink" href="#somme-matrice" title="Link to this heading"></a></h1>
<p>Fonction qui additionne 2 matrices et qui renvoie une nouvelle matrice
<em>Exemple:</em> <strong>somme_matrice(matrice1, matrice2)</strong></p>
</section>
<section id="is-element">
<h1>is_element()<a class="headerlink" href="#is-element" title="Link to this heading"></a></h1>
<p>Fonction qui recherche un nombre dans une matrice.
Si le chiffre existe renvoie la position du chiffre dans la matrice sinon renvoie False
<em>Exemple:</em> <strong>is_element(matrice, 4)</strong></p>
</section>
<section id="produit-scalaire">
<h1>produit_scalaire()<a class="headerlink" href="#produit-scalaire" title="Link to this heading"></a></h1>
<p>Fonction qui retourne le produit scalaire d’une matrice et d’un chiffre
<em>Exemple:</em> <strong>produit_scalaire(matrice, 4)</strong></p>
</section>
<section id="produit-matriciel">
<h1>produit_matriciel()<a class="headerlink" href="#produit-matriciel" title="Link to this heading"></a></h1>
<p>Fonction qui retourne le produit matriciel de deux matrices.</p>
<p><em>Exemple:</em> <strong>produit_matriciel(matrice1, matrice2)</strong></p>
</section>


           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Droits d'auteur 2023, Ludo.</p>
  </div>

  Compilé avec <a href="https://www.sphinx-doc.org/">Sphinx</a> en utilisant un
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">thème</a>
    fourni par <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>